package patterntesting.runtime.monitor;

import javax.management.openmbean.TabularData;

public interface ProfileStatisticMBean {

    public void reset();
    public int getMaxHits();
    public String getMaxHitsLabel();
    public String getMaxHitsStatistic();
    public double getMaxTotal();
    public String getMaxTotalLabel();
    public String getMaxTotalStatistic();
    public double getMaxAvg();
    public String getMaxAvgLabel();
    public String getMaxAvgStatistic();
    public double getMaxMax();
    public String getMaxMaxLabel();
    public String getMaxMaxStatistic();
    public TabularData getStatistics();
    public void logStatistic();
    public void dumpStatistic();

}

/**
 * $Log: ProfileStatisticMBean.java,v $
 * Revision 1.8  2008/12/27 21:16:05  oboehm
 * getStatistics() added
 *
 * Revision 1.7  2008/12/27 17:31:06  oboehm
 * reset() added to MBean interface
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/runtime/monitor/ProfileStatisticMBean.java,v $
 */
